Start a run over a pack or a subset of its evaluations
curl --request POST \
--url https://api.dev.swarmd.ai/relay/v1/evaluation-packs/{packId}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evaluationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.dev.swarmd.ai/relay/v1/evaluation-packs/{packId}/runs"
payload = { "evaluationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({evaluationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.dev.swarmd.ai/relay/v1/evaluation-packs/{packId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"packId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"packName": "<string>",
"status": "PENDING",
"triggeredBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"triggerSource": "USER",
"evaluationCount": 123,
"passed": 123,
"failed": 123,
"skipped": 123,
"durationMs": 123,
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"verdictsSimulated": true
}Evaluation Packs
Start a run over a pack or a subset of its evaluations
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | TENANT | WRITE | TENANT:WRITE |
POST
/
relay
/
v1
/
evaluation-packs
/
{packId}
/
runs
Start a run over a pack or a subset of its evaluations
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Body
application/json
Maximum array length:
1000Response
202 - application/json
Accepted
Available options:
PENDING, RUNNING, PASSED, FAILED, ERROR, SKIPPED Show child attributes
Show child attributes
Available options:
USER 